﻿using System;
using System.Collections.Generic;
using System.Threading;
using System.ComponentModel;
using System.Globalization;
using Agilent.SignalStudio;
using System.Linq;
using System.Text;

namespace load_settings_file
    {
    class N7624A_API_TEST
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            // Sets the culture to English (US)
            Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US");
            // Sets the UI culture to English (US)
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US");

            Agilent.SignalStudio.N7624.N7624API m_API;

            // create main API object
            
            m_API = new Agilent.SignalStudio.N7624.N7624API(Agilent.SignalStudio.N7624.N7624API.ApplicationMode.NoGUI);

            // Connect to the instrument.
            // Correct address formats:
            //  GPIB(board address)::(primary address)::(secondary address)::INSTR 
            //  TCPIP0::(IP address)::INSTR 
            //  For example: "GPIB1::2::3::INSTR" or "TCPIP0::111.222.333.444::INSTR" 

            string inst = "tcpip0::xxx.xxx.xxx.xxx::INSTR";

            
            m_API.SetSigGenHardwareSystem(inst);
            m_API.OpenSettingsFile("Settings file name");

            
            m_API.Hardware.SignalGenerator.RfOutputEnabled = true;
            
            m_API.Download();
            m_API.SaveSettingsFile("Settings file name");
            
        }
    }
}
